View Issue Details

IDProjectCategoryView StatusLast Update
0005716Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.5 
Target Version0.6Fixed in Version0.6 
Summary0005716: exchange fails with cryptic error message if DB role is not a superuser
DescriptionThe following error message we get from postgres isn't very intuitive:

ERROR Failed to execute `LOAD 'auto_explain';': access to library "auto_explain" is not allowed/(null)/ERROR: access to library "auto_explain" is not allowed

This happens because only superusers can use the auto explain feature. Maybe we should detect this at run-time and skip this gracefully instead of dying with such a cryptic error message.
TagsNo tags attached.

Activities

Christian Grothoff

2019-05-09 12:56

manager   ~0014383

Fixed in 105555b4..39263a48.

Btw, did you see the comment on AUTO_EXPLAIN:

/**
 * Set to 1 to enable Postgres auto_explain module. This will
 * slow down things a _lot_, but also provide extensive logging
 * in the Postgres database logger for performance analysis.
 */

This was set to "1". Did you turn it off while running the final benchmarks? ;-)

Christian Grothoff

2021-09-02 18:14

manager   ~0018277

Fix committed to master branch.

Related Changesets

exchange: master 39263a48

2019-05-09 12:55:09

Christian Grothoff

Details Diff
fix 0005716 Affected Issues
0005716
mod - src/exchangedb/plugin_exchangedb_postgres.c Diff File

Issue History

Date Modified Username Field Change
2019-05-08 07:13 Florian Dold New Issue
2019-05-08 07:13 Florian Dold Status new => assigned
2019-05-08 07:13 Florian Dold Assigned To => Christian Grothoff
2019-05-09 12:56 Christian Grothoff Status assigned => resolved
2019-05-09 12:56 Christian Grothoff Resolution open => fixed
2019-05-09 12:56 Christian Grothoff Fixed in Version => 0.6
2019-05-09 12:56 Christian Grothoff Note Added: 0014383
2019-05-09 12:56 Christian Grothoff Product Version => 0.5
2019-05-09 12:56 Christian Grothoff Target Version => 0.6
2019-05-09 12:56 Christian Grothoff Additional Information Updated
2019-12-20 19:12 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 39263a48
2021-09-02 18:14 Christian Grothoff Note Added: 0018277